# class RSS::Maker::RSS20::Items::Item::Guid

### Public Instance Methods

to_feed(rss, item) click to toggle source

    # File lib/rss/maker/2.0.rb, line 114
    def to_feed(rss, item)
      guid = Rss::Channel::Item::Guid.new
      set = setup_values(guid)
      if set
        item.guid = guid
        set_parent(guid, item)
        setup_other_elements(rss, guid)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/2.0.rb, line 125
    def required_variable_names
      %w(content)
    end